
%global meadversion 2.2.3
%global namedversion 2.2.3.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package javaee-jpa-spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.2.3.redhat-00001

Name:           %{?scl_prefix}javaee-jpa-spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta Persistence API
Group:          Development/Java

%if %with mead
Source100: jakarta.persistence-api-2.2.3.redhat-00001-project-sources.tar.gz
Source102: jakarta.persistence-api-2.2.3.redhat-00001.pom
Source103: jakarta.persistence-api-2.2.3.redhat-00001-sources.jar
Source104: jakarta.persistence-api-2.2.3.redhat-00001.jar
%endif

License:        EPL-1.0 or BSD
URL:            https://github.com/eclipse-ee4j/jpa-api
BuildArch:      noarch
BuildRoot:      %{_tmppath}/javaee-jpa-spec-%{namedversion}-%{release}-root

%description
Jakarta Persistence API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for javaee-jpa-spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jakarta.persistence-api-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.persistence-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.persistence-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.persistence-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.persistence-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.persistence-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.persistence-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/javaee-jpa-spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.persistence-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.persistence-api-%{namedversion} -x META-INF/\*
%{__ln_s} javaee-jpa-spec-%{namedversion} %{buildroot}%{_javadocdir}/javaee-jpa-spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}javaee-jpa-spec
%defattr(0644,root,root,0755)
%if 0
%doc CONTRIBUTING.md README.md
%endif
%{_javadir}/jakarta.persistence-api-%{namedversion}.jar
%{_javadir}/jakarta.persistence-api.jar
%if %with javadoc
%{_javadir}/jakarta.persistence-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.persistence-api-javadoc.jar
%endif
%{_javadir}/jakarta.persistence-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.persistence-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/javaee-jpa-spec-%{namedversion}
%{_javadocdir}/javaee-jpa-spec
%endif

%changelog
* Mon Sep 30 2019 Permaine Cheung <pcheung@redhat.com> - 2.2.3-1.redhat_00001.1
- 2.2.3.redhat-00001

* Wed Jun 06 2018 Yong Yang <yyang@redhat.com> - 2.2.0-1.redhat_1.1
-  2.2.0.redhat-1 

* Wed Jun 06 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.2.0-1.redhat_1.1
- upgrade to 2.2.0.redhat-1

* Wed Jun 06 2018 Yong Yang <yyang@redhat.com> - 2.2.0-1.redhat_1.1
- 2.2.0.redhat-1
